| Version: 3.2.5

Classes | Enumerations
volume.h File Reference

## Classes

class | wxFSVolume
| wxFSVolume represents a volume (also known as 'drive') in a file system under wxMSW. More...

## Enumerations

enum | wxFSVolumeFlags { wxFS_VOL_MOUNTED = 0x0001 , wxFS_VOL_REMOVABLE = 0x0002 , wxFS_VOL_READONLY = 0x0004 , wxFS_VOL_REMOTE = 0x0008 }
| The volume flags. More...
enum | wxFSVolumeKind { wxFS_VOL_FLOPPY , wxFS_VOL_DISK , wxFS_VOL_CDROM , wxFS_VOL_DVDROM , wxFS_VOL_NETWORK , wxFS_VOL_OTHER , wxFS_VOL_MAX }
| The volume types. More...
enum | wxFSIconType { wxFS_VOL_ICO_SMALL = 0 , wxFS_VOL_ICO_LARGE , wxFS_VOL_ICO_SEL_SMALL , wxFS_VOL_ICO_SEL_LARGE , wxFS_VOL_ICO_MAX }
| Icon types used by wxFSVolume. More...

## Enumeration Type Documentation

## ◆ wxFSIconType

enum wxFSIconType

Icon types used by wxFSVolume.

Enumerator
wxFS_VOL_ICO_SMALL |
wxFS_VOL_ICO_LARGE |
wxFS_VOL_ICO_SEL_SMALL |
wxFS_VOL_ICO_SEL_LARGE |
wxFS_VOL_ICO_MAX |

## ◆ wxFSVolumeFlags

enum wxFSVolumeFlags

The volume flags.

Enumerator
wxFS_VOL_MOUNTED | Is the volume mounted?
wxFS_VOL_REMOVABLE | Is the volume removable (floppy, CD, ...)?
wxFS_VOL_READONLY | Read only? (otherwise read write).
wxFS_VOL_REMOTE | Network resources.

## ◆ wxFSVolumeKind

enum wxFSVolumeKind

The volume types.

Enumerator
wxFS_VOL_FLOPPY |
wxFS_VOL_DISK |
wxFS_VOL_CDROM |
wxFS_VOL_DVDROM |
wxFS_VOL_NETWORK |
wxFS_VOL_OTHER |
wxFS_VOL_MAX |